Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228627 - Review Request: perl-Acme-Damn - 'Unbless' Perl objects
Summary: Review Request: perl-Acme-Damn - 'Unbless' Perl objects
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Acme-Damn/
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-14 00:56 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-20 05:48:07 UTC
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2007-02-14 00:56:13 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Acme-Damn-0.03-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Acme-Damn.spec

Description:
Acme::Damn provides a single routine, damn(), which takes a blessed
reference (a Perl object), and unblesses it, to return the original
reference. I can't think of any reason why you might want to do this,
but just because it's of no use doesn't mean that you shouldn't be
able to do it.

Comment 1 Parag AN(पराग) 2007-02-14 04:32:29 UTC
mock build is fine.
got rpmlint warning as
W: perl-Acme-Damn summary-not-capitalized 'Unbless' Perl objects
Summary doesn't begin with a capital letter.


Comment 2 Chris Weyl 2007-02-14 05:15:31 UTC
Probably caused by the leading '. If it's a problem, I can reword the summary...

Comment 3 Chris Weyl 2007-02-14 05:19:15 UTC
I'm interperting this as a rpmlint bug, as unbless is indeed capitalized in the
summary; it's just after a quote.  Reported as bug 228645.

Comment 4 Chris Weyl 2007-02-14 18:18:54 UTC
Updated to work around rpmlint:

SRPM URL: http://home.comcast.net/~ckweyl/perl-Acme-Damn-0.03-2.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Acme-Damn.spec

Comment 5 Parag AN(पराग) 2007-02-15 05:31:15 UTC
Thanks for Changing Summary and making rpmlint happy :)

Comment 6 Parag AN(पराग) 2007-02-15 05:41:05 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url 
02a3c8b947d3f2888bc2455f7405f7c1  Acme-Damn-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/1compile....ok
t/2damn.......ok
t/3aliases....ok
t/4name.......ok
t/5bad........ok
All tests successful.
Files=5, Tests=75,  1 wallclock secs ( 0.21 cusr +  0.05 csys =  0.26 CPU)
+Provides: Damn.so perl(Acme::Damn) = 0.03

APPROVED.


Comment 7 Chris Weyl 2007-02-17 20:44:32 UTC
Let's try this here -- please branch for devel :)

Comment 8 Chris Weyl 2007-02-20 01:12:49 UTC
After actually reading CVSAdminProcedure *sigh*, I realize my request was
somewhat botched (yet completed--thanks!) and that I could have requested this
at the same time:

Please branch for FC-5, FC-6.

Comment 9 Chris Weyl 2007-02-20 05:47:35 UTC
Branched and built for devel, fc[56].

Thanks for the review! :)


Note You need to log in before you can comment on or make changes to this bug.